Get a plugin

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/plugins/{instance_id}

Get a plugin. You must be an administrator.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the plugin

Query parameters

  • relations boolean

    Add the related data. The default value is true.

    Default value is true.

Responses

  • 200 application/json

    The plugin

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • plugin_id string
    • version string
    • frontend_project_enabled boolean
    • frontend_studio_enabled boolean
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The identifier is not a valid UUID

  • 403

    You are not an administrator

  • 404

    The plugin does not exist

GET /data/plugins/{instance_id}
curl -X GET "http://api.example.com/data/plugins/a24a6ea4-ce75-4665-a070-57453082c25?relations=true" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/plugins/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "relations": true
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Plugin Name",
  "plugin_id": "my-plugin",
  "version": "1.0.0",
  "frontend_project_enabled": false,
  "frontend_studio_enabled": false,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}